try:
    from PIL import Image
except ImportError:
    import Image

import os, sys


def has_overlay(filename):
    # returns False if all the pixels in the image are same
    # returns True if otherwise
    img = Image.open(filename).convert('RGB')
    width, height = img.size
    im = img.load()

    (r, g, b) = im[0, 0]

    for i in range(height):
        for j in range(width):
            if (r, g, b) != im[i, j]:
                return True

    return False
